<?php

include_once "../dbconection.php";
include_once "../funciones.php";
include_once "../errorhandler.php";

function enviarEmail($strEmail, $strDetalle){
	global $sDominio;
	
	$cuerpo = "<html><head><title>HTML email</title></head><body>";
	$cuerpo .= $strDetalle ."<br/><br/> \n\n";
	
	//$cuerpo .= "Email:". $strEmail ." <br/><br/> \n\n";
	//$strEmail = "kropijac@hotmail.com";

	$cuerpo .= "</body></html>";
				
	$headers = "MIME-Version: 1.0" . "\r\n";
	$headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
	// More headers
	$headers .= "From: Capacitacion <capacitacion@". $sDominio . ">\r\n"; 

	mail($strEmail, "Nuevo Mensaje", $cuerpo, $headers);

}


if($_REQUEST['method']=="insertar"){ 
	$sJSON = "";	

	//$strEmailCliente = $_REQUEST['strEmailCliente'];
	//$strEmailCliente = "kropijac@gmail.com";
	$intDocumento = $_REQUEST['intDocumento'];
	
	if($intDocumento!=""){
		$intUsuario = $_REQUEST['intUsuario'];
		$strMensaje = $_REQUEST['strMensaje'];
		
		$intTipo = $_REQUEST['intTipo'];
		if($intTipo==1){
			$datFechaLeidoAdmin = "CURRENT_TIMESTAMP";
			$datFechaLeidoUsuario = 'NULL';
		}else{
			$datFechaLeidoAdmin = 'NULL';
			$datFechaLeidoUsuario = "CURRENT_TIMESTAMP";
		}
		
/*		if($intTipo==1){
			$link = "<a href='". $strUrl ."contestarmsg.php?uyfdyugieufyuefiu'>". $strUrl ."contestarmsg.php?uyfdyugieufyuefiu</a>";
			$strDetalle = "<b>Este es un nuevo mensaje de su instructor: </b><br/><br/>".
			"<div style='width:100%; padding:10px; background-color:#F0DEB9; border:1px solid #C7AA90;'>" . $strMensaje ."</div>". 
			"<br/><b>Para contestar este mensaje, favor de dar click en el siguiente enlace</b><br/><br/>". $link;
			enviarEmail($strEmailCliente, $strDetalle);	
		}
*/		
		$sqlQuery = "INSERT INTO tblmensajes  (intDocumento , intUsuario, strMensaje, datFechaLeidoAdmin, datFechaLeidoUsuario, datFechaAlta) 
		VALUES (". $intDocumento .",". $intUsuario .",'". $strMensaje ."',". $datFechaLeidoAdmin .",". $datFechaLeidoUsuario .", CURRENT_TIMESTAMP)";
		//exit($sqlQuery);
		
		//mysql_query($sqlQuery);
		
		$sJSON = "";
		
		$sJSON = $sqlQuery;
		$queryResult = mysql_query($sqlQuery);
		
		if($queryResult){
			$sJSON .= "Comentario agregado con exito";
		}else{
			$sJSON .= "Error: Error al agregar el comentario";
		}

	}else{
		$sJSON="Error: El documento no puede ser nulo";
	}

	print($sJSON);

}else if($_REQUEST['method']=="consultar"){
	$sJSON = "";

	//$intUsuario = $_REQUEST['intUsuario'];
	$intDocumento = $_REQUEST['intDocumento'];
	
	if($intDocumento!=""){	
		$sqlQuery = "SELECT t1.*, t2.strNombre as strUsuario FROM tblmensajes t1 left join tblusuarios t2 ON(t1.intUsuario=t2.intUsuario) WHERE intDocumento = ". $intDocumento ." ORDER BY intMensaje DESC  ";
		//exit($sqlQuery);
		
		$queryResult = mysql_query($sqlQuery);	
		$sXMLContenido = "";
		$totalRows = 0;
		
		$sJSON = '{"Items":[';
	
		while ($row = mysql_fetch_array($queryResult)) {
	
			$sJSON .= "{";
	
				$sJSON .= '"intMensaje":"'.$row['intMensaje'].'"';
				$sJSON .= ',"intDocumento":"'.$row['intDocumento'].'"';
				$sJSON .= ',"intUsuario":"'.$row['intUsuario'].'"';
				$sJSON .= ',"strUsuario":"'.$row['strUsuario'].'"';
				$sJSON .= ',"strMensaje":"'.$row['strMensaje'].'"';
				$sJSON .= ',"datFechaLeidoAdmin":"'.$row['datFechaLeidoAdmin'].'"';			
				$sJSON .= ',"datFechaLeidoUsuario":"'.$row['datFechaLeidoUsuario'].'"';
				$sJSON .= ',"datFechaAlta":"'.$row['datFechaAlta'].'"';	
			$sJSON .= "},";		
	
			$totalRows++;
	
		}
		
		if($totalRows>0){
			$sJSON = substr($sJSON, 0, -1);
		}
		$sJSON .= "]}";
		
		print($sJSON);
		
	}else{
		print("No hay comentarios para este documento.");
	}
	
}

?>